#include <bits/stdc++.h>
using namespace std;
bool nto(long long n){
    if(n<2) return false;
    for(int i=2;i*i<=n;i++){
        if(n%i==0)  return false;
    }
    return true;
}
long long check(long long n){
    for(int i=1;i<=1000003;i++){
        if(nto(i) && i>=n){
            return i;
        }
    }
    return 0;
}
long long n,t;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("CAU3.INP","r",stdin);
    freopen("CAU3.OUT","w",stdout);
    cin>>t;
    for(int i=1;i<=t;i++){
        cin>>n;
        if(check(n)){
            cout<<check(n)<<'\n';
        }
    }
    return 0;
}
